Subject: Re: [Roll] Fwd: New Version Notification for draft-gnawali-roll-etxof-01

From: "Navneet Agarwal (navagar)" <[email-masked]>
Date: Tue, 15 Jun 2010 10:54:05 +0530

Hi Om:
In the case of ETX OF, here are some of my comments:

1. Rank computation: What are the values of step of rank, min hop increase? Would be good to specify the default values for these.
2. I think the step of rank can depend on link quality (hence ETX). Would be good to specify that.

Regards,
Navneet

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Omprakash Gnawali
> Sent: Monday, May 24, 2010 11:45 PM
> To: ROLL WG
> Subject: [Roll] Fwd: New Version Notification for 
> draft-gnawali-roll-etxof-01
> 
> Updates - changed some constants to parameters, no default values.
> 
> - om_p
> 
> ---------- Forwarded message ----------
> From: IETF I-D Submission Tool <[email-masked]>
> Date: Sun, May 23, 2010 at 2:34 PM
> Subject: New Version Notification for draft-gnawali-roll-etxof-01
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> 
> A new version of I-D, draft-gnawali-roll-etxof-01.txt has 
> been successfully submitted by Omprakash Gnawali and posted 
> to the IETF repository.
> 
> Filename:        draft-gnawali-roll-etxof
> Revision:        01
> Title:           The ETX Objective Function for RPL
> Creation_date:   2010-05-23
> WG ID:           Independent Submission
> Number_of_pages: 7
> 
> Abstract:
> The ETX metric of a wireless link is the expected number of 
> transmissions required to successfully transmit and 
> acknowledge a packet on the link.  The Routing Protocol for 
> Low Power and Lossy Networks (RPL) allows the use of 
> objective functions to construct routes that optimize or 
> constrain a routing metric on the paths.
> This specification describes ETXOF, an objective function 
> that minimizes ETX.  The RPL path computation using ETXOF 
> results in minimum-ETX paths from the nodes to the DAG roots, 
> i.e., paths that minimize the number of packet transmissions 
> for packet delivery from nodes in the network to the DAG root.
> 
> 
> 
> The IETF Secretariat.
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>